Restore a saved version
curl --request POST \
--url https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"if_unchanged_since": null,
"version_label": "<string>"
}
'import requests
url = "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore"
payload = {
"if_unchanged_since": None,
"version_label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({if_unchanged_since: null, version_label: '<string>'})
};
fetch('https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'if_unchanged_since' => null,
'version_label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore"
payload := strings.NewReader("{\n \"if_unchanged_since\": null,\n \"version_label\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"if_unchanged_since\": null,\n \"version_label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"if_unchanged_since\": null,\n \"version_label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"accounts": {
"segment": {}
},
"assignment": {
"owner_field": "<string>",
"people": [
"<string>"
],
"strategy": "smart",
"to": "account_owner",
"when_teammate_answers": "keep_owner"
},
"autonomy": {
"channels": {},
"default": "auto"
},
"avatar_url": "<string>",
"built_in": true,
"channels": {
"email": {
"acknowledge": true,
"acknowledgement": "<string>",
"addresses": [
"<string>"
],
"company_address": "<string>",
"enabled": true,
"forwarding": true,
"shared_mailboxes": [
"<string>"
],
"take_in_unknown_senders": true,
"watch_mailboxes": true
},
"in_app_sdk": {
"acknowledgement": "<string>",
"enabled": true
},
"portal": {
"acknowledgement": "<string>",
"enabled": true
},
"slack": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true,
"grouping": "thread"
},
"teams": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true
}
},
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"kind": "customer_success",
"knowledge_bases": [
{
"id": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"outreach_enabled": true,
"persona": {
"ai_disclosure": "transparent",
"greeting": "<string>",
"guardrails": "<string>",
"voice": "<string>"
},
"skills": [
{
"enabled": true,
"key": "<string>",
"name": "<string>"
}
],
"status": "draft",
"updated_at": "<string>"
}digital_workers
Restore a saved version
Saves a version’s settings as the worker’s own, as a new version: every setting it holds, including the ones PATCH can’t set, less the skills your workspace can no longer use. Its status and the worker’s live MCP servers and API Tools stay. The checks a PATCH runs apply, and so do its scopes: a restore to an active worker needs digital_workers:activate too.
POST
/
v1
/
digital_workers
/
{worker_id}
/
versions
/
{version_id}
/
restore
Restore a saved version
curl --request POST \
--url https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"if_unchanged_since": null,
"version_label": "<string>"
}
'import requests
url = "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore"
payload = {
"if_unchanged_since": None,
"version_label": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({if_unchanged_since: null, version_label: '<string>'})
};
fetch('https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'if_unchanged_since' => null,
'version_label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore"
payload := strings.NewReader("{\n \"if_unchanged_since\": null,\n \"version_label\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"if_unchanged_since\": null,\n \"version_label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.statisfy.com/v1/digital_workers/{worker_id}/versions/{version_id}/restore")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"if_unchanged_since\": null,\n \"version_label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"accounts": {
"segment": {}
},
"assignment": {
"owner_field": "<string>",
"people": [
"<string>"
],
"strategy": "smart",
"to": "account_owner",
"when_teammate_answers": "keep_owner"
},
"autonomy": {
"channels": {},
"default": "auto"
},
"avatar_url": "<string>",
"built_in": true,
"channels": {
"email": {
"acknowledge": true,
"acknowledgement": "<string>",
"addresses": [
"<string>"
],
"company_address": "<string>",
"enabled": true,
"forwarding": true,
"shared_mailboxes": [
"<string>"
],
"take_in_unknown_senders": true,
"watch_mailboxes": true
},
"in_app_sdk": {
"acknowledgement": "<string>",
"enabled": true
},
"portal": {
"acknowledgement": "<string>",
"enabled": true
},
"slack": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true,
"grouping": "thread"
},
"teams": {
"acknowledge": true,
"acknowledgement": "<string>",
"enabled": true
}
},
"created_at": "<string>",
"description": "<string>",
"id": "<string>",
"kind": "customer_success",
"knowledge_bases": [
{
"id": "<string>",
"name": "<string>"
}
],
"name": "<string>",
"outreach_enabled": true,
"persona": {
"ai_disclosure": "transparent",
"greeting": "<string>",
"guardrails": "<string>",
"voice": "<string>"
},
"skills": [
{
"enabled": true,
"key": "<string>",
"name": "<string>"
}
],
"status": "draft",
"updated_at": "<string>"
}Authorizations
An API key, sent as Authorization: Bearer stfy_live_…. See Authentication for how to get one and which scopes it needs.
Path Parameters
Body
application/json
Response
200 - application/json
Successful Response
Was this page helpful?